classification
Title: activate.bat else needs to be on the same line as the if
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: James Abel, lukasz.langa, miss-islington, ned.deily, paul.moore, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: 3.8regression, patch

Created on 2019-10-02 06:30 by James Abel, last changed 2019-10-15 07:42 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16533 merged jamesabel, 2019-10-02 06:31
PR 16627 merged miss-islington, 2019-10-07 21:07
PR 16628 merged miss-islington, 2019-10-07 21:08
Messages (11)
msg353722 - (view) Author: James Abel (James Abel) Date: 2019-10-02 06:30
In activate.bat, the else needs to be on the same line as the if
msg353756 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-02 17:21
Should be a straightforward fix (replace the "else" with "if not defined..."), but since it slipped through testing we probably want a regression test in test_venv as well.

(+RM for the 3.8 regression)
msg353758 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-02 17:33
Adding this to the end of test_unicode_in_batch_file seems to be sufficient to cause the test to fail:

        self.assertEqual(err.strip(), '')

Potentially we should add that additional check throughout this test module, but I don't think that's needed for a post-RC fix.
msg353764 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-02 18:42
Also adding Ned - this made it into 3.7 as well.
msg354142 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-07 21:07
New changeset e310af9e2941c2fbb7370e003276cc37eb230f16 by Steve Dower (James Abel) in branch 'master':
bpo-38344: Fix syntax in activate.bat (GH-16533)
https://github.com/python/cpython/commit/e310af9e2941c2fbb7370e003276cc37eb230f16
msg354144 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-07 21:10
I've merged the fix so that it can be cherry-picked for the upcoming releases.

I'd still like to see the tests enhanced to be able to detect error output in the scripts, but those don't need to necessarily make it into the upcoming releases.
msg354145 - (view) Author: miss-islington (miss-islington) Date: 2019-10-07 21:25
New changeset bfb5f9a66cc348c9cf25c857ad9910479e587517 by Miss Islington (bot) in branch '3.7':
bpo-38344: Fix syntax in activate.bat (GH-16533)
https://github.com/python/cpython/commit/bfb5f9a66cc348c9cf25c857ad9910479e587517
msg354146 - (view) Author: miss-islington (miss-islington) Date: 2019-10-07 21:27
New changeset 4880e5a1b66d9175fcc402cb0288bc1898356831 by Miss Islington (bot) in branch '3.8':
bpo-38344: Fix syntax in activate.bat (GH-16533)
https://github.com/python/cpython/commit/4880e5a1b66d9175fcc402cb0288bc1898356831
msg354668 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-10-14 21:46
(3.8.0 is released with this fix)
msg354699 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-15 07:30
New changeset ab22c8bc488e822d03c4778b30ec60131ea35c63 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-38344: Fix syntax in activate.bat (GH-16533)
https://github.com/python/cpython/commit/ab22c8bc488e822d03c4778b30ec60131ea35c63
msg354703 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-15 07:42
(3.7.5 is released with this fix)
History
Date User Action Args
2019-10-15 07:42:24ned.deilysetmessages: + msg354703
2019-10-15 07:30:25ned.deilysetmessages: + msg354699
2019-10-14 21:46:14lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg354668

stage: commit review -> resolved
2019-10-10 23:45:16aerossetstage: patch review -> commit review
2019-10-07 21:27:00miss-islingtonsetmessages: + msg354146
2019-10-07 21:25:09miss-islingtonsetnosy: + miss-islington
messages: + msg354145
2019-10-07 21:10:14steve.dowersetmessages: + msg354144
2019-10-07 21:08:36miss-islingtonsetpull_requests: + pull_request16214
2019-10-07 21:07:36miss-islingtonsetpull_requests: + pull_request16213
2019-10-07 21:07:23steve.dowersetmessages: + msg354142
2019-10-02 18:42:40steve.dowersetnosy: + ned.deily

messages: + msg353764
versions: + Python 3.7
2019-10-02 17:33:09steve.dowersetmessages: + msg353758
2019-10-02 17:21:58steve.dowersetpriority: normal -> release blocker
versions: + Python 3.9
nosy: + lukasz.langa

messages: + msg353756

keywords: + 3.8regression
2019-10-02 06:31:55jamesabelsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16122
2019-10-02 06:30:23James Abelcreate